Overview | Package | Class | Deprecated | Index | Help
| Groovy Documentation
| FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | PROPERTY | CONSTR | METHOD | DETAIL: FIELD | PROPERTY | CONSTR | METHOD

## grails.validation
[Groovy] Class ValidationException

    java.lang.Object
      java.lang.Throwable
          java.lang.Exception
              java.lang.RuntimeException
                  org.codehaus.groovy.grails.exceptions.GrailsException
                      grails.validation.ValidationException

    class ValidationException
    extends GrailsException

Thrown when validation fails during a .save().

Authors:
  Jeff Brown

Since:
  1.2

Property Summary
`org.springframework.validation.Errors` | `errors`
`java.lang.String` | `fullMessage`

Constructor Summary
`ValidationException(java.lang.String msg, org.springframework.validation.Errors e)`

Method Summary
`static java.lang.String` | `formatErrors(org.springframework.validation.Errors errors, java.lang.String msg = null)`
`java.lang.String` | `getMessage()`

Methods inherited from class java.lang.RuntimeException
java.lang.RuntimeException#printStackTrace(java.io.PrintStream), java.lang.RuntimeException#printStackTrace(), java.lang.RuntimeException#printStackTrace(java.io.PrintWriter), java.lang.RuntimeException#fillInStackTrace(), java.lang.RuntimeException#getCause(), java.lang.RuntimeException#initCause(java.lang.Throwable), java.lang.RuntimeException#toString(), java.lang.RuntimeException#getMessage(), java.lang.RuntimeException#getLocalizedMessage(), java.lang.RuntimeException#getStackTrace(), java.lang.RuntimeException#setStackTrace([Ljava.lang.StackTraceElement;), java.lang.RuntimeException#wait(), java.lang.RuntimeException#wait(long), java.lang.RuntimeException#wait(long, int), java.lang.RuntimeException#equals(java.lang.Object), java.lang.RuntimeException#hashCode(), java.lang.RuntimeException#getClass(), java.lang.RuntimeException#notify(), java.lang.RuntimeException#notifyAll()

Property Detail

### errors

    org.springframework.validation.Errors errors

### fullMessage

    java.lang.String fullMessage

Constructor Detail

### ValidationException

    ValidationException(java.lang.String msg, org.springframework.validation.Errors e)

Method Detail

### formatErrors

    static java.lang.String formatErrors(org.springframework.validation.Errors errors, java.lang.String msg = null)

### getMessage

    java.lang.String getMessage()

Groovy Documentation